## kdegraphics-thumbnailers-5 25.04.3+p24.04+vstable+git20251013.0829

=== debian/changelog ===
kdegraphics-thumbnailers-5 (4:25.04.3+p24.04+vstable+git20251013.0829-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 08:29:34 +0000

kdegraphics-thumbnailers-5 (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Jul 2025 20:10:46 +0000

kdegraphics-thumbnailers-5 (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 Jun 2025 20:08:10 +0000

kdegraphics-thumbnailers-5 (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:08:09 +0000

kdegraphics-thumbnailers-5 (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Apr 2025 20:08:10 +0000

kdegraphics-thumbnailers-5 (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Mar 2025 20:08:11 +0000

kdegraphics-thumbnailers-5 (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Feb 2025 20:08:15 +0000

kdegraphics-thumbnailers-5 (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jan 2025 20:08:09 +0000

kdegraphics-thumbnailers-5 (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Dec 2024 20:08:10 +0000

kdegraphics-thumbnailers-5 (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 20:08:08 +0000

kdegraphics-thumbnailers-5 (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2024 20:08:10 +0000

kdegraphics-thumbnailers-5 (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 20:08:09 +0000

kdegraphics-thumbnailers-5 (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 23 Aug 2024 20:08:10 +0000

kdegraphics-thumbnailers-5 (4:24.05.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 20:08:05 +0000

kdegraphics-thumbnailers-5 (4:24.05.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 20:08:07 +0000

kdegraphics-thumbnailers-5 (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 17 May 2024 20:08:07 +0000

kdegraphics-thumbnailers-5 (4:24.02.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Apr 2024 20:08:06 +0000

kdegraphics-thumbnailers-5 (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Mar 2024 20:08:06 +0000

kdegraphics-thumbnailers-5 (4:24.02.0-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:13:26 +0000
