=== debian/changelog ===
kdegraphics-thumbnailers-5 (4:25.04.3+p24.04+vstable+git20251016.0749-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 07:49:19 +0000
