=== debian/control ===
Source: kdegraphics-thumbnailers-5
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkf5archive-dev,
               libkf5kdcraw-dev,
               libkf5kexiv2-dev,
               libkf5kio-dev,
               libqmobipocket5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kdegraphics-thumbnailers-5.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kdegraphics-thumbnailers-5
Maintainer: Neon CI <neon@kde.org>

Package: kdegraphics-thumbnailers-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ghostscript
Replaces: kdegraphics-mobipocket (<< 4:21.12.1.1),
          kdegraphics-strigi-plugins (<< 4:4.6.90)
Breaks: kdegraphics-mobipocket (<< 4:21.12.1.1),
        kdegraphics-strigi-plugins (<< 4:4.6.90)
Description: graphics file format thumbnailers for KDE SC
 These plugins allow KDE software to create thumbnails for several
 advanced graphic file formats (PS, RAW).
 .
 This package is part of the KDE graphics module.
