=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf5 --buildsystem kf5

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
